Skip to main content
GET
/
v1
/
tokens
/
baskets
Get all token baskets across multiple networks.
curl --request GET \
  --url https://api.hydric.org/v1/tokens/baskets \
  --header 'Authorization: Bearer <token>'
{
  "baskets": [
    {
      "id": "usd-stablecoins",
      "name": "USD Stablecoins",
      "description": "A basket of the most liquid USD stablecoins in the ecosystem.",
      "logoUrl": "https://cdn.jsdelivr.net/gh/hydric-org/token-baskets/assets/logos/usd-stablecoins.png",
      "chainIds": [
        1,
        143
      ],
      "addresses": [
        {
          "chainId": 1,
          "address": "0xdac17f958d2ee523a2206206994597c13d831ec7"
        },
        {
          "chainId": 143,
          "address": "0x1234..."
        }
      ],
      "tokens": [
        {
          "chainId": 1,
          "address": "0x0000000000000000000000000000000000000000",
          "decimals": 18,
          "name": "Ether",
          "symbol": "ETH",
          "logoUrl": "https://logos.hydric.org/tokens/1/0x0000000000000000000000000000000000000000"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Use the docs sandbox API key for authentication: hydric_docs_4N4ocuirsN8Sh

Query Parameters

chainIds
enum<number>[]

Filter results to specific networks by chain ID. If omitted, all supported networks will be returned.

Available options:
1,
143,
130,
999,
8453,
9745,
534352
Example:
[1, 8453]
basketIds
enum<string>[]

Filter results to specific baskets by ID. If omitted, all available baskets will be returned.

Available options:
usd-stablecoins,
eth-pegged-tokens,
btc-pegged-tokens,
hype-pegged-tokens,
monad-pegged-tokens,
xau-stablecoins,
eur-stablecoins
Example:
["usd-stablecoins", "eth-pegged-tokens"]

Response

200 - application/json

The list of available token baskets.

baskets
object[]
required

A list of token baskets.

Example:
[
{
"id": "usd-stablecoins",
"name": "USD Stablecoins",
"description": "A basket of the most liquid USD stablecoins in the ecosystem.",
"logoUrl": "https://cdn.jsdelivr.net/gh/hydric-org/token-baskets/assets/logos/usd-stablecoins.png",
"chainIds": [1, 143],
"addresses": [
{
"chainId": 1,
"address": "0xdac17f958d2ee523a2206206994597c13d831ec7"
},
{ "chainId": 143, "address": "0x1234..." }
],
"tokens": [
{
"chainId": 1,
"address": "0x0000000000000000000000000000000000000000",
"decimals": 18,
"name": "Ether",
"symbol": "ETH",
"logoUrl": "https://logos.hydric.org/tokens/1/0x0000000000000000000000000000000000000000"
}
]
}
]